Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionLedger/FrmConstructionLedgerAuxiliary.cs	(revision 51)
@@ -2073,6 +2338,16 @@
                 int LineCnt = dgv.RowCount - 1;
                 m_CostsRowCount[(int)CostsRowLine.CurrentProfitRowLine] = LineCnt;
 
+                int workTotal = 0;
+                int workBilling = 0;
+                for (int ix = (int)GridColumn.Payment; ix < TotalPoint; ix++)
+                {
+                    workTotal += CommonMotions.cnvInt(dgv.Rows[AllTotalRow].Cells[ix].Value);
+                    workBilling += CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[ix].Value);
+
+                    dgv.Rows[LineCnt].Cells[ix].Value = (workBilling - workTotal).ToString("#,#");
+                }
+
                 // 行色変更
                 DefaultRowChangeColor(LineCnt);
 
@@ -2109,7 +2384,7 @@
 
                 // 月毎合計
                 int Total = 0;
-                for (int i = (int)GridColumn.payment; i < (dgv.ColumnCount + (int)ColPayTotal.Totals); i++)
+                for (int i = (int)GridColumn.Payment; i < (dgv.ColumnCount + (int)ColPayTotal.Totals); i++)
                 {
                     Total += CommonMotions.cnvInt(dgv.Rows[BillingAmountRow].Cells[i].Value);
                 }
@@ -2144,6 +2419,7 @@
                 RowData[(int)GridColumn.ItemName] = s_GroupTitle[(int)DataGroup.BillingAmount];
                 RowData[(int)GridColumn.IndependentFlg] = "1";
                 RowData[(int)GridColumn.FluctuationFlg] = "0";
+                RowData[(int)GridColumn.SourceCode] = m_ConstructionCode;
 
                 string strSQL = ExcuteDB.CreatePrimarykeyString(m_ConstructionCode,
                                                                 (int)DataGroup.BillingAmount);
@@ -2158,7 +2434,7 @@
                 {
                     //グリッドの対象列を取得する（データのカラム数から年月に変更する）
                     string CurMounth = string.Format("{0}年{1}月", ExcRec.TargetMonth.Year, ExcRec.TargetMonth.Month);
-                    for (int ix = (int)GridColumn.payment; ix < dgv.ColumnCount; ix++)
+                    for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                     {
                         // グリッドの対象列を探す
                         if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
@@ -2198,28 +2474,6 @@
         }
         #endregion
 
-        #region 書込み禁止処理
-        /// <summary>
-        /// 書込み禁止処理
-        /// </summary>
-        private void BudgetInputReadOnly()
-        {
-            try
-            {
-                // 総計グリッドを読込専用にする
-                dgvAllDisplay.ReadOnly = true;
-
-                // データ編集に関するボタンを非表示にする
-                btnDataEntry.Visible = false;                       // 登録ボタン
-                btnDataDelete.Visible = false;                      // 削除ボタン
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
-
         #region 表示大タイトルをセットする
         /// <summary>
         /// 表示大タイトルをセットする
@@ -2286,13 +2540,6 @@
         /// <summary>
         /// 表示番号編集
         /// </summary>
-        /// <param name="DetailRec"></param>
-        /// <param name="GroupNo"></param>
-        /// <param name="Block"></param>
-        /// <param name="icnt"></param>
-        /// <param name="RowData"></param>
-        /// <param name="strParentNo"></param>
-        /// <param name="childNo"></param>
         private void SetDisplayNo(ConstructionLedgerDetail DetailRec, int GroupNo,
                                     ref int Block, ref int icnt, ref object[] RowData, ref string strParentNo, ref int childNo)
         {
@@ -2301,6 +2548,14 @@
                 switch (GroupNo)
                 {
                     case (int)DataGroup.ConstructionCosts:       // 施工費
+                        if (DetailRec.JoinTitleFlg == 1) break;
+                        if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0
+                            && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
+                        // ブランク行は採番しない
+                        if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0 && DetailRec.CompanyName.Length == 0
+                            && DetailRec.EstimatePrice == 0 && DetailRec.ExecutionAmount == 0) break;
+
+
                         // 独立項目の場合
                         if (DetailRec.IndependentFlg == 1)
                         {
@@ -2341,7 +2596,7 @@
         }
         #endregion
 
-        // ---------- 工事詳細台帳よりデータを取得する
+        // ---------- 工事詳細台帳よりデータを取得する↓↓
         #region 工事詳細台帳よりデータを取得する
         /// <summary>
         /// 工事詳細台帳よりデータを取得する
@@ -2352,6 +2607,7 @@
             IOConstructionLedger LedgerDB = new IOConstructionLedger();
             IOConstructionLedgerDetail DetailDB = new IOConstructionLedgerDetail();
             IOConstructionLedgerExcute ExcuteDB = new IOConstructionLedgerExcute();
+            IOProcessApproval ProAppDB = new IOProcessApproval();
             try
             {
                 // 工事詳細台帳データを読み込む
@@ -2365,6 +2621,16 @@
                 if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
 
+                // 工事予算書の承認を確認する
+                string strApp = ProAppDB.CreatePrimarykeyString(m_ConstructionCode,
+                                                                (int)ClsExcute.ApprovalListNo.ConstructionBudgetApproval,
+                                                                CommonDefine.s_Default_OrderNo,
+                                                                1);
+                ProcessApproval ProAppList = new ProcessApproval();
+                bool NoneApp = false;
+                if (!ProAppDB.SelectAction(strApp, ref ProAppList)) NoneApp = true;
+                if (ProAppList.ApprovalStatus != (int)CommonDefine.ApprovalStatus.Approval) NoneApp = true;
+
                 // グリッド行削除
                 dgvAllDisplay.Rows.Clear();
 
@@ -2385,6 +2651,8 @@
                     if (DetailRec.GroupCount == (int)DataGroup.AllTotal) continue;
                     // 現在利益金額は読み込まない
                     if (DetailRec.GroupCount == (int)DataGroup.CurrentProfit) continue;
+                    // 請求金額は読み込まない
+                    if (DetailRec.GroupCount == (int)DataGroup.BillingAmount) continue;
 
                     // グループ番号が違えばタイトル行表示
                     if (GroupNo != DetailRec.GroupCount)
@@ -2403,6 +2671,12 @@
                         GroupNo = DetailRec.GroupCount;
                     }
 
+                    // 結合工事のタイトルを表示する時は前に空欄を表示する（1番はじめ以外）
+                    if (DetailRec.JoinTitleFlg == 1 && CommonMotions.cnvInt(dgv.Rows[dgv.RowCount - 1].Cells[(int)GridColumn.TitleFlg].Value) == 0)
+                    {
+                        AddEmptyRow();
+                    }
+
                     // ----- 行データセット
                     object[] RowData = new object[GridColMax];
 
@@ -2422,11 +2696,39 @@
                     RowData[(int)GridColumn.CompanyType] = DetailRec.CompanyType;
                     RowData[(int)GridColumn.CompanyCode] = DetailRec.CompanyCode;
                     RowData[(int)GridColumn.CompanyName] = DetailRec.CompanyName;
-                    RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,#");
-
-                    RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
-                    RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    // 名称・会社名が全てない場合は金額クリア
+                    if (DetailRec.FirstString.Length == 0 && DetailRec.SecondString.Length == 0 && DetailRec.CompanyName.Length == 0)
+                    {
+                        RowData[(int)GridColumn.EstimatePrice] = string.Empty;
+                        RowData[(int)GridColumn.ExecPrice] = string.Empty;
+                        RowData[(int)GridColumn.Percent] = string.Empty;
+                    }
+                    else
+                    {
+                        RowData[(int)GridColumn.EstimatePrice] = DetailRec.EstimatePrice.ToString("#,#");
+                        RowData[(int)GridColumn.ExecPrice] = DetailRec.ExecutionAmount.ToString("#,0");
+                        RowData[(int)GridColumn.Percent] = DetailRec.AmountConfigRate.ToString("0.00");
+                    }
+                    // 増減工事フラグ
                     RowData[(int)GridColumn.FluctuationFlg] = DetailRec.FluctuationFlg;
+                    // 給与振分区分
+                    RowData[(int)GridColumn.SalaryFlg] = DetailRec.SalaryFlg;
+                    // 給与振分日数
+                    RowData[(int)GridColumn.SalaryDays] = DetailRec.SalaryDays;
+                    // 担当中フラグ
+                    RowData[(int)GridColumn.OperatingFlg] = DetailRec.OperatingFlg;
+                    // 元工事番号
+                    RowData[(int)GridColumn.SourceCode] = DetailRec.SourceCode;
+                    // 工事名称タイトルフラグ
+                    RowData[(int)GridColumn.JoinTitleFlg] = DetailRec.JoinTitleFlg;
+                    if (DetailRec.JoinTitleFlg == 1)
+                    {
+                        RowData[(int)GridColumn.EstimatePrice] = string.Empty;
+                        RowData[(int)GridColumn.ExecPrice] = string.Empty;
+                        RowData[(int)GridColumn.Percent] = string.Empty;
+                    }
+                    // 注文書発行フラグ
+                    RowData[(int)GridColumn.PurchaseOrderFlg] = DetailRec.PurchaseOrderFlg;
 
                     // ----- 支払いデータをセットする
                     double TotalValue = 0;
@@ -2438,7 +2740,7 @@
                     {
                         //グリッドの対象列を取得する（データのカラム数から年月に変更する）
                         string CurMounth = string.Format("{0}年{1}月", ExcuteRec.TargetMonth.Year, ExcuteRec.TargetMonth.Month);
-                        for (int ix = (int)GridColumn.payment; ix < dgv.ColumnCount; ix++)
+                        for (int ix = (int)GridColumn.Payment; ix < dgv.ColumnCount; ix++)
                         {
                             // グリッドの対象列を探す
                             if (!CurMounth.Equals(dgv.Columns[ix].HeaderText)) continue;
@@ -2464,56 +2766,31 @@
                     // 支払補填額
                     RowData[GridColMax + (int)ColPayTotal.PaymentBurdens] = DetailRec.PaymentBurden.ToString("#,0");
 
-                    // ----- 行作成
+                    // *----------------------------------------------------------------*
+                    // *----- いきなり工事詳細台帳が出来たものは、経費を再計算する -----*
+                    // *----------------------------------------------------------------*
+                    if (LedgerRec.ComplateFlg != (int)CommonDefine.ComplateTitleNo.Complated
+                        && NoneApp == true 
+                        && DetailRec.GroupCount == (int)DataGroup.Expenses)
+                    {
+                        CalculateExpenss(DetailRec, ref RowData);
+                    }
+
+                    // 人件費行の金額表示
                     switch (DetailRec.GroupCount)
                     {
-                        case (int)DataGroup.BillingAmount:
-                            // 14:請求金額データ
-                            // データを作成しない
-                            break;
-
-                        case (int)DataGroup.Expenses:
-                            // 1:経費
-                            if (CalculateExpenss(DetailRec, ref RowData))
-                            {
-                                // データ行作成
-                                CreateDataRow(RowData);
-                            }
-                            break;
-
                         case (int)DataGroup.Instructor:
-                            // 9:指導員給与
-                            if (MakeInstrSubConstrRow((int)DataGroup.Instructor, DetailRec, ref RowData))
-                            {
-                                // データ行作成
-                                CreateDataRow(RowData);
-                            }
-                            break;
-
                         case (int)DataGroup.Assistant:
-                            // 10:副担当給与
-                            if (MakeInstrSubConstrRow((int)DataGroup.Assistant, DetailRec, ref RowData))
-                            {
-                                // データ行作成
-                                CreateDataRow(RowData);
-                            }
-                            break;
-
                         case (int)DataGroup.Payroll:
-                            // 11:担当者給与
-                            if (MakePersonRow(DetailRec, ref RowData))
-                            {
-                                // データ行作成
-                                CreateDataRow(RowData);
-                            }
+                            MakeConstrSalaryRow(DetailRec, ref RowData);
                             break;
-
                         default:
-                            // データ行作成
-                            CreateDataRow(RowData);
                             break;
                     }
 
+                    // ----- 行作成
+                    CreateDataRow(RowData);
+
                     // ----- 列のロック
                     for (int i = (int)GridColumn.ItemName; i <= (int)GridColumn.CompanyName; i++)
                     {
@@ -2532,20 +2809,20 @@
                             }
                             break;
 
+                        case (int)DataGroup.Assistant:               // 副担当
+                        case (int)DataGroup.Payroll:                 // 工事担当
+                            // 一般ユーザーは行ロック
+                            if (m_ConstructionBaseInfo.ConstructionPeriod < 16) dgv.Rows[dgv.RowCount - 1].Visible = false;
+                            if (!CheckLeaderOrUser()) dgv.Rows[dgv.RowCount - 1].ReadOnly = true;
+                            // ヘッダーチェックボックス表示
+                            SalaryRadioButtonCheck(DetailRec);
+                            break;
                         case (int)DataGroup.Instructor:              // 指導員
-                        case (int)DataGroup.Assistant:               // 副担当
-                        case (int)DataGroup.Payroll:                 // 給与
                         case (int)DataGroup.NetIncome:               // 純利益
                             // 16期より前は指導員金額・担当者給与・純利益を表示しない
-                            if (m_ConstructionBaseInfo.ConstructionPeriod < 16)
-                            {
-                                dgv.Rows[dgv.RowCount - 1].Visible = false;
-                            }
+                            if (m_ConstructionBaseInfo.ConstructionPeriod < 16) dgv.Rows[dgv.RowCount - 1].Visible = false;
                             // 一般ユーザーは行ロック
-                            if (!CheckLeaderOrUser())
-                            {
-                                dgv.Rows[dgv.RowCount - 1].ReadOnly = true;
-                            }
+                            if (!CheckLeaderOrUser()) dgv.Rows[dgv.RowCount - 1].ReadOnly = true;
                             break;
                         default:
                             break;
@@ -2602,13 +2879,14 @@
                 LedgerDB.close(); LedgerDB = null;
                 DetailDB.close(); DetailDB = null;
                 ExcuteDB.close(); ExcuteDB = null;
+                ProAppDB.close(); ProAppDB = null;
             }
         }
         #endregion
 
-        #region 工事詳細台帳より比率により経費に金額を設定する
+        #region 受注金額より比率により経費に金額を設定する
         /// <summary>
-        /// 工事詳細台帳より比率により経費に金額を設定する
+        /// 受注金額より比率により経費に金額を設定する
         /// </summary>
         /// <param name="DetailRec"></param>
         /// <param name="RowData"></param>
@@ -2633,25 +2911,18 @@
                 // グリッドのカラム数
                 int GridBaseCnt = dgvAllDisplay.ColumnCount;
 
-                // 合計欄位置取得
-                int TotalPoint = GridBaseCnt + (int)ColPayTotal.Totals;
-
-                int ExecTotal = 0;
-                for (int i = (int)GridColumn.payment; i < TotalPoint; i++)
-                {
-                    ExecTotal += CommonMotions.cnvInt(RowData[i]);
-                }
                 // 実行金額
                 int ExcePoint = (int)GridColumn.ExecPrice;
-                RowData[ExcePoint] = DetailRec.ExecutionAmount.ToString("#,0");
+                RowData[ExcePoint] = dExpenss.ToString("#,0");
 
+                // 支払金額
+                int PaymentPoint = (int)GridColumn.Payment;
+                RowData[PaymentPoint] = dExpenss.ToString("#,0");
+
                 // 合計金額セット
-                RowData[TotalPoint] = ExecTotal.ToString("#,0");
+                int TotalPoint = GridBaseCnt + (int)ColPayTotal.Totals;
+                RowData[TotalPoint] = dExpenss.ToString("#,0");
 
-                // 実績欄位置取得
-                int ResultPoint = GridBaseCnt + (int)ColPayTotal.Results;
-                RowData[ResultPoint] = (dExpenss - ExecTotal).ToString("#,0");
-
                 return true;
             }
             catch (Exception ex)
@@ -2662,131 +2933,44 @@
         }
         #endregion
 
-        #region 工事詳細台帳より担当者給与行を作成する
-        /// <summary>
-        /// 工事詳細台帳より担当者給与行を作成する
-        /// </summary>
-        /// <returns></returns>
-        private bool MakePersonRow(ConstructionLedgerDetail DetailRec, ref object[] RowData)
-        {
-            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
-            try
-            {
-                // 現担当者以外は処理しない
-                if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
-                // 入力完了は処理しない
-                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
-                //return true;
-
-                // 担当者マスタより担当者名を取得する
-                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                string strPerson = PersonDB.CreatePrimarykeyString(DetailRec.CompanyCode);
-                if (!PersonDB.SelectAction(strPerson, ref PersonRec)) return false;
-
-                double Salary = PersonRec.MonthlySalary * CommonDefine.s_SalaryCorrection;                                      // 月額給与計算
-                double daylySalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);                          // 日当計算
-                string ItemText = s_GroupTitle[DetailRec.GroupCount];
-                string Content = string.Empty;
-                double BetweenTimes = 0;
-                int CostsValue = 0;
-
-                if (DetailRec.CompanyCode != 0)
-                {
-                    ItemText = ItemText + string.Format("【{0}氏】", PersonRec.SealPrintName);     // 項目名称セット
-                    // 工期と給与額を表示する
-                    switch (DetailRec.SalaryFlg)
-                    {
-                        case (int)CommonDefine.SalaryDevision.All:
-                            // ----- 全日振分
-                            // 工期取得
-                            BetweenTimes = CommonMotions.cnvDouble(m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text);
-                            // 着工日
-                            DateTime dtStart = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text);
-                            // 完了日
-                            DateTime dtLast = CommonMotions.cnvDate(m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text);
-
-                            // 稼働日取得
-                            //int WorkingDay = ClsCalendar.CalcOperatingDaysCount(dtStart, dtLast);
-                            int WorkingDay = ClsCalendar.CalcPassedDaysCount(dtStart, dtLast);
-
-                            // 給与計算
-                            CostsValue = CommonMotions.cnvRound(daylySalary * WorkingDay);
-                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, Salary.ToString("#,0"));
-
-                            break;
-                        case (int)CommonDefine.SalaryDevision.Noting:
-                            // ----- 指定無し
-
-                            break;
-                        case (int)CommonDefine.SalaryDevision.DaysInput:
-                            // ----- 日数指定
-                            CostsValue = CommonMotions.cnvRound(daylySalary * DetailRec.SalaryDays);
-                            Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, DetailRec.SalaryDays.ToString("0"), daylySalary.ToString("#,0"));
-
-                            break;
-                    }
-                }
-                // 担当名表示
-                RowData[(int)GridColumn.ItemName] = ItemText;
-                // 一般ユーザー以外は説明文を表示
-                RowData[(int)GridColumn.TextName] = Content;
-
-                // 総金額を表示
-                RowData[(int)GridColumn.EstimatePrice] = CostsValue.ToString("#,#");
-                RowData[(int)GridColumn.ExecPrice] = CostsValue.ToString("#,0");
-
-                // パーセントを表示する
-                RowData[(int)GridColumn.Percent] = CalculattionPercent(CostsValue).ToString("0.00");
-
-                // 人件費情報
-                RowData[(int)GridColumn.SalaryFlg] = DetailRec.SalaryFlg;                   // 給与振分区分
-                RowData[(int)GridColumn.SalaryDays] = DetailRec.SalaryDays;                 // 給与振分日数
-                RowData[(int)GridColumn.OperatingFlg] = DetailRec.OperatingFlg;             // 担当中フラグ
-
-                return true;
-            }
-            catch (System.Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return false;
-            }
-            finally
-            {
-                PersonDB.close(); PersonDB = null;
-                // 一般ユーザーは指導員給与を見えないようにする
-                if (!CheckLeaderOrUser()) RowData[(int)GridColumn.TextName] = string.Empty;
-            }
-        }
-        #endregion
-
         #region 工事詳細台帳より指導員行・ 副担当者行を作成する
         /// <summary>
         /// 工事詳細台帳より指導員行・ 副担当者行を作成する
         /// </summary>
         /// <returns></returns>
-        private bool MakeInstrSubConstrRow(int Group, ConstructionLedgerDetail DetailRec, ref object[] RowData)
+        private bool MakeConstrSalaryRow(ConstructionLedgerDetail DetailRec, ref object[] RowData)
         {
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
             try
             {
                 // 現担当者以外は処理しない
-                if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
-                // 入力完了は処理しない
-                if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
+                //if (DetailRec.OperatingFlg != (int)CommonDefine.SalaryOperateKind.Oparateing) return true;
+                //// 入力完了は処理しない
+                //if (lblComplate.Text.Equals(ComplateString[(int)CommonDefine.ComplateTitleNo.Complated])) return true;
                 //return true;
 
                 // 担当者マスタより担当者名を取得する
                 PersonInChargeMaster PersonRec = new PersonInChargeMaster();
                 string strPerson = PersonDB.CreatePrimarykeyString(DetailRec.CompanyCode);
-                //if (!PersonDB.SelectAction(strPerson, ref PersonRec)) return false;
                 PersonDB.SelectAction(strPerson, ref PersonRec);
 
                 double Salary = 0;
                 // 月額給与計算
-                if ((int)DataGroup.Instructor == Group)
-                    Salary = CommonDefine.InstructorMonthryCost;
-                else
-                    Salary = CommonDefine.AssistantMonthryCost;
+                switch (DetailRec.GroupCount)
+                {
+                    case (int)DataGroup.Instructor:
+                        Salary = CommonDefine.InstructorMonthryCost;
+                        break;
+                    case (int)DataGroup.Assistant:
+                        Salary = CommonDefine.AssistantMonthryCost;
+                        break;
+                    case (int)DataGroup.Payroll:
+                        if (DetailRec.SalaryOnRegist != 0)
+                            Salary = DetailRec.SalaryOnRegist * CommonDefine.s_SalaryCorrection;
+                        else
+                            Salary = PersonRec.MonthlySalary * CommonDefine.s_SalaryCorrection;
+                        break;
+                }
                 // 日額給与取得
                 double DaysSalary = CommonMotions.cnvRound(Salary / CommonDefine.s_ManHourUnitMonth);
                 string ItemText = s_GroupTitle[DetailRec.GroupCount];
@@ -2817,7 +3001,9 @@
                             // 給与計算
                             CostsValue = CommonMotions.cnvRound(DaysSalary * WorkingDay);
 
-                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat, BetweenTimes, Salary.ToString("#,0"));
+                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                    BetweenTimes.ToString("0.00"),
+                                                    Salary.ToString("#,0"));
 
                             break;
                         case (int)CommonDefine.SalaryDevision.Noting:
@@ -2829,7 +3015,9 @@
                             // 給与計算
                             CostsValue = CommonMotions.cnvRound(DaysSalary * DetailRec.SalaryDays);
 
-                            Content = string.Format(CommonDefine.s_SalaryCostDaylyFormat, DetailRec.SalaryDays.ToString("0"), DaysSalary.ToString("#,0"));
+                            Content = string.Format(CommonDefine.s_SalaryCostMonthlyFormat,
+                                                    ClsCalendar.cnvMonthFromDays(DetailRec.SalaryDays).ToString("0.00"),
+                                                    Salary.ToString("#,0"));
                             break;
                     }
                 }
@@ -2850,6 +3038,10 @@
                 RowData[(int)GridColumn.SalaryFlg] = DetailRec.SalaryFlg;                   // 給与振分区分
                 RowData[(int)GridColumn.SalaryDays] = DetailRec.SalaryDays;                 // 給与振分日数
                 RowData[(int)GridColumn.OperatingFlg] = DetailRec.OperatingFlg;             // 担当中フラグ
+                if (DetailRec.SalaryOnRegist != 0)                                          // 登録時月額給与
+                    RowData[(int)GridColumn.SalaryOnRegist] = DetailRec.SalaryOnRegist;
+                else
+                    RowData[(int)GridColumn.SalaryOnRegist] = PersonRec.MonthlySalary;
 
                 return true;
             }
@@ -2866,7 +3058,7 @@
             }
         }
         #endregion
-        // ---------- 工事詳細台帳よりデータを取得する
+        // ---------- 工事詳細台帳よりデータを取得する↑↑
 
         #region グループごとの処理を行う(グループごとの特殊処理)
         /// <summary>
@@ -3159,6 +3351,7 @@
                 string strParentNo = string.Empty;
                 for (int i = StLineCnt; i < dgv.RowCount; i++)
                 {
+                    if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.JoinTitleFlg].Value) == 1) continue;
                     if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
 
                     dgv.Rows[i].Cells[(int)GridColumn.No].Value = string.Format("{0}-{1}", GroupCount, iCnt);
@@ -3411,6 +3604,8 @@
                     for (int i = StLineCnt; i < dgv.RowCount; i++)
                     {
                         if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.BlankFlg].Value) == 1) break;
+                        if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.JoinTitleFlg].Value) == 1) break;
+                        
                         // 従属項目がある行は子行を採番する
                         if (CommonMotions.cnvInt(dgv.Rows[i].Cells[(int)GridColumn.IndependentFlg].Value) != 1)
                         {
@@ -3623,7 +3818,7 @@
 
                 if (Display)
                 {
-                    if (MessageBox.Show("工事予算書データを更新します、よろしいですか？", "登録確認"
+                    if (MessageBox.Show("工事詳細台帳データを更新します、よろしいですか？", "登録確認"
                                         , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return false;
                 }
 
@@ -3712,7 +3907,7 @@
         }
         #endregion
 
-        // ---------- データ登録
+        // ---------- データ登録↓↓
         #region 工事詳細台帳データ登録
         /// <summary>
         /// 工事詳細台帳データ登録
@@ -3729,7 +3924,7 @@
                 int TotalValue = 0;
                 int ResultPriceValue = 0;
 
-                int Colcnt = dgv.ColumnCount - (int)GridColumn.payment;
+                int Colcnt = dgv.ColumnCount - (int)GridColumn.Payment;
                 int[] MTotal = new int[Colcnt];
                 int TotalPoint = dgv.ColumnCount + (int)ColPayTotal.Totals;
 
@@ -3761,7 +3956,7 @@
                 int Rowcnt1 = GetExpenss("会社", 3);
                 int Rowcnt2 = GetExpenss("部署", 2);
                 int Rowcnt3 = GetExpenss("営業", 1);
-                for (int i = (int)GridColumn.payment; i < TotalPoint; i++)
+                for (int i = (int)GridColumn.Payment; i < TotalPoint; i++)
                 {
                     // 会社経費合計
                     work.CompanyExpenses += CommonMotions.cnvDouble(dgv.Rows[Rowcnt1].Cells[i].Value);
@@ -3826,7 +4021,9 @@
                 }
 
                 // 総支払額（支払額－（担当者給与＋副担当者給与＋指導員給与））
-                work.TotalPayment = TotalValue - (work.Allowance + bworkAssistant + bworkInstructor);
+                double work1 = (work.Allowance + bworkAssistant + bworkInstructor);
+                if (work1 < 0) work1 *= -1;
+                work.TotalPayment = TotalValue - work1;
 
                 // 請求金額
                 int BillingLineCnt = m_CostsRowCount[(int)CostsRowLine.BillingAmountRowLine];
@@ -3836,7 +4033,9 @@
                     BillingValue = CommonMotions.cnvInt(dgv.Rows[BillingLineCnt].Cells[TotalPoint].Value);
                 }
                 // 粗利（請求金額－（支払額－（担当者給与＋副担当者給与＋指導員給与）））
-                work.GrossProfit = BillingValue - (TotalValue - (work.Allowance + bworkAssistant + bworkInstructor));
+                double work2 = (TotalValue - (work.Allowance + bworkAssistant + bworkInstructor));
+                if (work2 < 0) work2 *= -1;
+                work.GrossProfit = BillingValue - work2;
 
                 // 純利益
                 // 合計欄位置取得
@@ -3915,11 +4114,11 @@
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     RowLineCnt++;
-                    //// 純利益は書き込まない（2016/10/20　データを作成する）
+                    //// 純利益は書き込まない（2016/10/20　データを作成するため書き込む）
                     //if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)DataGroup.NetIncome) continue;
-                    //// 合計金額は書き込まない
+                    //// 合計金額は書き込まない（2016/10/20　データを作成するため書き込む）
                     //if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)DataGroup.AllTotal) continue;
-                    //// 現在利益金額は書き込まない
+                    //// 現在利益金額は書き込まない（2016/10/20　データを作成するため書き込む）
                     //if (CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.GroupCount].Value) == (int)DataGroup.CurrentProfit) continue;
 
                     // データ定義
